Page MenuHomePhabricator

using protocol-relative URL as id in Special:RecentChanges atom feed don't validate
Closed, ResolvedPublic

Description

In T54253#573642 Nemo_bis commented

Maybe worth mentioning, due to protocol-relative URLs our feeds do not validate: "id must be a full and valid URL", e.g. http://validator.w3.org/feed/check.cgi?url=https%3A%2F%2Fwww.mediawiki.org%2Fw%2Findex.php%3Ftitle%3DSpecial%3ARecentChanges%26feed%3Datom%26limit%3D50

The W3C help for the error says "If this is a link to a web page, make sure to include the "http://" at the beginning."
The entry's <link rel="alternate" href does contain the full https URL, e.g.:

<entry>
<id>//www.mediawiki.org/w/index.php?title=Project:Language_policy/ps&amp;diff=1415363&amp;oldid=1415356</id>
<title>Project:Language policy/ps</title>
<link rel="alternate" type="text/html" href="https://www.mediawiki.org/w/index.php?title=Project:Language_policy/ps&amp;diff=1415363&amp;oldid=1415356"/>
<updated>2015-02-19T18:20:35Z</updated>
...
<author><name>ANBI</name></author> </entry>

Details

Event Timeline

Spage raised the priority of this task from to Low.
Spage updated the task description. (Show Details)
Spage added subscribers: Krenair, TheDJ, matmarex and 6 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 19 2015, 7:05 PM

Change 195073 had a related patch set uploaded (by Bartosz Dziewoński):
FeedItem: Use full URL with protocol for <id>/<guid> in Atom/RSS feeds

https://gerrit.wikimedia.org/r/195073

Change 195073 merged by jenkins-bot:
FeedItem: Use full URL with protocol for <id>/<guid> in Atom/RSS feeds

https://gerrit.wikimedia.org/r/195073

matmarex closed this task as Resolved.Mar 11 2015, 3:05 PM
matmarex claimed this task.